/*
# Filename:      usleep.c
# Purpose:       sleeps for a number of microseconds, see man 3 usleep
# Authors:       grml-team (grml.org), (c) Michael Prokop <mika@grml.org>
# Bug-Reports:   see http://grml.org/bugs/
# License:       This file is licensed under the GPL v2.
# Latest change: Sam Jn 01 17:18:13 CET 2005 [mika]
############################################################################# */

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
 
int main(int argc,char** argv) { 
  char* endptr;
  unsigned long time;

  if (argc != 2) {
    char* usage = "Usage: usleep useconds";
    fprintf (stderr, "%s\n", usage );
    return 1;
  }

  if(errno != EINVAL && errno != ERANGE)
    time = strtoul(argv[1],&endptr,10); 
    usleep(time);
}

/* END OF FILE ###############################################################*/
